#include <qapplication.h>
#include "mainwindow2.h"
#include <iostream.h>

void
printHelp()
{
	cout 	<< " \nGraphical ID3 v1/2 tag editor \n \n"
		<< " -- published under GPL version 2 -- \n"
		<< "This software is FREEWARE and therefore "
		<< "the author does not claim any responsibility for "
		<< "or merchantability of it. See LICENSE for details. \n \n"
		<< "Usage: \t"
		<< " id3v2 [ -h | filename ] \n"
		<< "\t -h \t \t Print this help to stdout \n"
		<< "\t filename \t The name of the file to open \n \n"
		<< "The current path is always taken as the file dialog path. \n"
		<< endl;
}

int main( int argc, char ** argv ) {   
    QApplication a( argc, argv );
    QT_ID3_Editor w;
    
    for (int i=1; i<argc; i++) {
	if (*argv[i] == *"-h") { 
	    printHelp(); exit(0); 
	}
	else w.filename = (QString) argv[i];
    }

    w.show();
    w.loadValues();
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    return a.exec();
}
