/****************************************************************************
** Form interface generated from reading ui file 'mainwindow2.ui'
**
** Created: Di Mai 18 10:27:07 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.3   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef QT_ID3_EDITOR_H
#define QT_ID3_EDITOR_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>
#include <id3/tag.h>
#include <id3/misc_support.h>
#include "qapplication.h"
#include "qstring.h"
#include "qclipboard.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QPushButton;
class QCheckBox;
class QGroupBox;
class QLabel;
class QSpinBox;
class QLineEdit;
class QTextEdit;
class QComboBox;

class QT_ID3_Editor : public QMainWindow
{
    Q_OBJECT

public:
    QT_ID3_Editor( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~QT_ID3_Editor();

    QPushButton* b_cpRtoL;
    QPushButton* b_cpLtoR;
    QCheckBox* cID3v1;
    QGroupBox* groupBox1;
    QLabel* Comment;
    QLabel* Album;
    QLabel* Year;
    QLabel* Track;
    QSpinBox* track;
    QLabel* Genre;
    QSpinBox* year;
    QLineEdit* album;
    QLineEdit* title;
    QLineEdit* artist;
    QLabel* Artist;
    QLabel* Title;
    QTextEdit* comment;
    QComboBox* genre;
    QPushButton* bSave;
    QPushButton* bQuit;
    QGroupBox* groupBox2;
    QLabel* Comment_3;
    QLineEdit* artist_2;
    QLabel* Title_3;
    QLabel* Album_3;
    QLabel* Track_3;
    QLineEdit* album_2;
    QLineEdit* title_2;
    QSpinBox* year_2;
    QLabel* Genre_3;
    QTextEdit* comment_2;
    QSpinBox* track_2;
    QLabel* Year_3;
    QLabel* Artist_3;
    QLineEdit* genre_2;
    QPushButton* bRestore;
    QPushButton* bLoad;
    QPushButton* b_delV1;
    QPushButton* b_delV2;
    QCheckBox* cID3v2;
    QPushButton* bClear;
    QMenuBar *MenuBar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
    QPopupMenu *helpMenu;
    QAction* fileNewAction;
    QAction* fileOpenAction;
    QAction* fileSaveAction;
    QAction* fileExitAction;
    QAction* helpAboutAction;
    QAction* editClearAction;
    QAction* helpTipAction;
    QAction* editRestoreAction;
    QAction* helpKeysAction;

    bool firstTime;
    QString filename;
    bool unsavedChanges;

    virtual void loadValues();

public slots:
    virtual void fileLoad();
    virtual void fileSave();
    virtual void editRestore();
    virtual void helpAbout();
    virtual void fileExit();
    virtual void helpTip();
    virtual void copyL2R();
    virtual void copyR2L();
    virtual void deleteV1Tag();
    virtual void deleteV2Tag();
    virtual void showKeys();
    virtual void editClear();

protected:
    char orig_genre_v2[1024];
    char orig_genre_v1[6];
    char orig_artist_v1[1024];
    char orig_artist_v2[1024];
    char orig_title_v1[1024];
    char orig_title_v2[1024];
    char orig_album_v1[1024];
    char orig_album_v2[1024];
    char orig_year_v1[5];
    char orig_year_v2[5];
    char orig_track_v1[5];
    char orig_track_v2[5];
    char orig_comment_v1[1024];
    char orig_comment_v2[1024];
    QStringList genreNames;

    virtual void fillFields();


protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;

    void init();

};

#endif // QT_ID3_EDITOR_H
